WordPress.org

Make WordPress Core

Changeset 8763


Ignore:
Timestamp:
08/28/2008 08:55:40 PM (10 years ago)
Author:
westi
Message:

Only upgrade if we are installed. Fixes #7627 props pishmishy.

Location:
trunk/wp-admin
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/wp-admin/includes/upgrade.php

    r8600 r8763  
    140140    // We are up-to-date.  Nothing to do.
    141141    if ( $wp_db_version == $wp_current_db_version )
     142        return;
     143
     144    if(!is_blog_installed())
    142145        return;
    143146
  • trunk/wp-admin/upgrade.php

    r8759 r8763  
    4646<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
    4747
    48 <?php if ( get_option('db_version') == $wp_db_version ) : ?>
     48<?php if ( get_option('db_version') == $wp_db_version || !is_blog_installed()) : ?>
    4949
    5050<h2><?php _e('No Upgrade Required'); ?></h2>
Note: See TracChangeset for help on using the changeset viewer.